Add securities
curl --request POST \
--url https://app.standardmetrics.io/beta/investment/securities/add/ \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"certificates": [],
"warrants": [],
"convertibles": [],
"token_investments": [],
"token_warrants": [],
"token_convertibles": []
}
'import requests
url = "https://app.standardmetrics.io/beta/investment/securities/add/"
payload = {
"certificates": [],
"warrants": [],
"convertibles": [],
"token_investments": [],
"token_warrants": [],
"token_convertibles": []
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
certificates: [],
warrants: [],
convertibles: [],
token_investments: [],
token_warrants: [],
token_convertibles: []
})
};
fetch('https://app.standardmetrics.io/beta/investment/securities/add/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"message": "<string>"
}Investment Details (Beta)
Add securities
Add a list of securities, across different types, to a company’s cap table. Supports certificates, warrants, convertibles, and token-based securities.
Permissions:
- User must be authenticated via OAuth.
- User must have access to the company.
- User must have permission to add data to the portco.
POST
/
beta
/
investment
/
securities
/
add
/
Add securities
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
A list of securities, across different types, to add.
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Response
201 - application/json
Created
A response with messages.
⌘I